const NavBag = () => {
  return (
    <div className="overflow-hidden bg-[#FBF8F4] flex flex-col absolute w-[80vw] md:w-[420px] h-[90vh] right-5 sm:right-20 md:right-28 rounded-2xl p-8 -z-10">
        <div className="w-[100%] h-[100%] flex flex-col justify-between">
            <div className="flex flex-col">
                <p className="uppercase text-xl mb-3">my bag (0)</p>
                <div className="border-2 border-[#F2E9DB] rounded-full mb-3"></div>
                <p className="text-[11px] tracking-tight mb-5">Spend another $50 to recieve FREE SHIPPING</p>
                <div className="border border-dashed border-black mb-3"></div>
                <p className="text-sm">No items in your bag</p>
            </div>
            <div className="flex flex-col">
                <p className="text-[13px] uppercase mb-3">Build your kit</p>
                
                <div className="border border-dashed border-black mb-2"></div>
                <div className="flex justify-between items-center">
                    <div className="flex items-center">
                        <img src="https://cdn.shopify.com/s/files/1/0621/9313/9901/files/KIT_E-COMM_-_SMOOTHING_CONCENTRATE.png" alt="" className="w-[50px]"/>
                        <a href="" className="flex flex-col">
                            <p className="text-xs uppercase">Smoothing Concentrate</p>
                            <p className="text-xs text-[#AAAAAA]">30ML / 1.01 FL. OZ </p>
                        </a>
                    </div>
                    <div className="flex gap-4">
                        <p className="text-sm">$37</p>
                        <p className="text-sm text-[#C20019]">Add +</p>
                    </div>
                </div>

                <div className="border border-dashed border-black mb-2 mt-2"></div>
                <div className="flex justify-between items-center">
                    <div className="flex items-center">
                        <img src="https://cdn.shopify.com/s/files/1/0621/9313/9901/files/KIT_E-COMM_-_SMOOTHING_CONCENTRATE.png" alt="" className="w-[50px]"/>
                        <a href="" className="flex flex-col">
                            <p className="text-xs uppercase">Rebalancing Concentrate</p>
                            <p className="text-xs text-[#AAAAAA]">30ML / 1.01 FL. OZ </p>
                        </a>
                    </div>
                    <div className="flex gap-4">
                        <p className="text-sm">$37</p>
                        <p className="text-sm text-[#C20019]">Add +</p>
                    </div>
                </div>

                <div className="border border-dashed border-black mb-2 mt-2"></div>
                <div className="flex justify-between mb-3">
                    <p className="text-xl">Subtotal:</p>
                    <p className="text-xl">$0</p>
                </div>
                <button className="py-2 rounded-full bg-[#AAAAAA] text-white uppercase">checkout</button>
            </div>
        </div>
    </div>
  )
}

export default NavBag